(use-modules
 (ice-9 filesystem)
 (ordo)
 (ordo connection)
 (ordo logger))

(define test-playbook
  (playbook
   #:name "Test Playbook"
   #:plays (list
            (play
             #:name "Test play"
             #:connection (local-connection)
             #:vars '((base-dir . "/home/ray/ordo-test"))
             #:acts (list
                     (act #:name "Act I"
                          #:tasks (list
                                   (task #:name "Create base directory"
                                         #:action (lambda (c) (must c "mkdir" "-p" ($ 'base-dir))))
                                   (task #:name "Create test file"
                                         #:action (lambda (c) (must c "touch" (file-name-join* ($ 'base-dir) "test-file")))))))))))

(setup-logging)
(perform test-playbook '())
